This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 562075 - kernel: vfs: add MNT_NOFOLLOW flag to umount(2) [mrg-1]
kernel: vfs: add MNT_NOFOLLOW flag to umount(2) [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
Development
All Linux
high Severity high
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
David Sommerseth
:
Depends On: 562072 562078 673177
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-05 02:39 EST by Eugene Teo (Security Response)
Modified: 2016-05-22 19:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Added the MNT_NOFOLLOW option to the umount(2) system call. This prevents umount(2) from following symlinks and avoids symlink attacks on unprivileged umounts on filesystems such as fuse, samba and ncpfs.
Story Points: ---
Clone Of: 562072
Environment:
Last Closed: 2010-08-17 11:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-02-05 02:39:44 EST
+++ This bug was initially created as a clone of Bug #562072 +++

Description of problem:
[RFC PATCH] vfs: add MNT_NOFOLLOW flag to umount(2)

From: Miklos Szeredi <mszeredi@suse.cz>

Add a new MNT_NOFOLLOW flag to umount(2).  This is needed to prevent
symlink attacks in unprivileged unmounts (fuse, samba, ncpfs).

Additionally, return -EINVAL if an unknown flag is encountered.  This
makes it possible for the caller to determine if a flag is supported
or not (at least on kernels with this patch).

Discussion is at:
http://patchwork.kernel.org/patch/77169/
Comment 4 Eugene Teo (Security Response) 2010-06-21 19:51:49 EDT
Upstream commit:
http://git.kernel.org/linus/db1f05bb85d7966b9176e293f3ceead1cb8b5d79
Comment 5 Luis Claudio R. Goncalves 2010-06-23 12:04:09 EDT
Patch bz562075-vfs-add-MNT_NOFOLLOW-flag-to-umount.patch, backport of upstream commit db1f05bb85d7966b9176e293f3ceead1cb8b5d79, has been added to kernel -159 patch queue.
Comment 7 Clark Williams 2010-07-15 11:13:59 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Added the MNT_NOFOLLOW option to the umount(2) system call. This prevents umount(2) from following symlinks and avoids symlink attacks on unprivileged umounts on filesystems such as fuse, samba and ncpfs.
Comment 9 errata-xmlrpc 2010-08-17 11:53:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0631.html

Note You need to log in before you can comment on or make changes to this bug.